Closed Bug 728819 Opened 8 years ago Closed 8 years ago

[cb-sea-miniosx64-0x, SeaMonkey 2.10+] mochitests-4: "rm: Library/Saved Application State/*.savedState: Permission denied"

Categories

(SeaMonkey :: Release Engineering, defect, P2, major)

x86_64
macOS

Tracking

(seamonkey2.10 affected, seamonkey2.11 verified, seamonkey2.12 verified)

VERIFIED FIXED
seamonkey2.13
Tracking Status
seamonkey2.10 --- affected
seamonkey2.11 --- verified
seamonkey2.12 --- verified

People

(Reporter: sgautherie, Assigned: ewong)

References

Details

(Whiteboard: [perma-orange] [test which aborts the suite])

Attachments

(1 file)

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1329723868.1329725860.18582.gz
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/02/19 23:44:28
{
======== BuildStep started ========
'bash -c ...' failed
=== Output ===
bash -c rm -rf Library/Saved\ Application\ State/*.savedState
...
rm: Library/Saved Application State/*.savedState: Permission denied
program finished with exit code 1
}
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1330554921.1330557141.8668.gz
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/02/29 14:35:21
Serge, is this common or rare?

I'm trying to come up with a rough prioritization of tackling this.
(In reply to Justin Wood (:Callek) from comment #2)

> Serge, is this common or rare?

'perma-orange' is as common as the m-4 suite runs...

> I'm trying to come up with a rough prioritization of tackling this.

On these boxes, priority is this bug and/or bug 728822.
Some of the workdir was using /Users/cltbld, which is inaccessible from our SM builder.  This patch changes it to use the builder's home dir, which should be /Users/seabld.  (and if this was applied to FF's bbcustoms, it should also work.)
Assignee: nobody → ewong
Status: NEW → ASSIGNED
Attachment #636982 - Flags: review?(bugspam.Callek)
Ftr, a search for 'cltbld' in log:


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1340701896.1340703717.4046.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/06/26 02:11:36
{
======== BuildStep started ========
set props: purge_actual purge_target
=== Output ===
python tools/buildfarm/maintenance/purge_builds.py -s 1.0 -n info -n rel-* .. /scratchbox/users/cltbld/home/cltbld/build
 in dir /builds/slave/test/. (timeout 3600 secs)
+
program finished with exit code 0

======== BuildStep started ========
'bash -c ...' failed
=== Output ===
bash -c screenresolution get && screenresolution list && system_profiler SPDisplaysDataType
 in dir /Users/cltbld (timeout 1200 secs)
+
bash: screenresolution: command not found

======== BuildStep started ========
'bash -c ...' failed
=== Output ===
bash -c screenresolution get && screenresolution list && system_profiler SPDisplaysDataType
 in dir /Users/cltbld (timeout 1200 secs)
+
bash: screenresolution: command not found

======== BuildStep started ========
'bash -c ...' failed
=== Output ===
bash -c rm -rf Library/Saved\ Application\ State/*.savedState
 in dir /Users/cltbld (timeout 1200 secs)
+
rm: Library/Saved Application State/*.savedState: Permission denied
}

I assume:
1) is shared and fine as is.
2) and 3) may help bug 728814 (or not).
4) is this bug.


http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1340660988.1340662764.26839.gz&fulltext=1
OS X 10.6 comm-aurora debug test mochitests-4/5 on 2012/06/2514:49:48
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1340624912.1340626574.10971.gz&fulltext=1
OS X 10.6 comm-beta debug test mochitests-4/5 on 2012/06/25 04:48:32


Then, SeaMonkey 2.13/2.12/2.11 have this bug too.
Blocks: 728814
Flags: in-testsuite-
Summary: [cb-sea-miniosx64-0x, (2.10) Trunk only] mochitests-4: "rm: Library/Saved Application State/*.savedState: Permission denied" → [cb-sea-miniosx64-0x, SeaMonkey 2.10+] mochitests-4: "rm: Library/Saved Application State/*.savedState: Permission denied"
Target Milestone: seamonkey2.10 → seamonkey2.13
Comment on attachment 636982 [details] [diff] [review]
Use ~ instead of /Users/cltbld. (v1)

Ftr, this patch should be it, wrt this bug.
http://mxr.mozilla.org/build/search?string=%2FUsers%2Fcltbld&case=on
Comment on attachment 636982 [details] [diff] [review]
Use ~ instead of /Users/cltbld. (v1)

Yea go ahead and land this and lets see if it works!
Attachment #636982 - Flags: review?(bugspam.Callek) → review+
p.s. land it to the seamonkey-production branch, if it works, we'll try to "upstream" it
Pushed to buildbotcustom (seamonkey-production):
http://hg.mozilla.org/build/buildbotcustom/rev/d64ab06c8769

Keeping this open to see if this fixes the bug.
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1341256701.1341258566.17546.gz&fulltext=1
OS X 10.6 comm-central-trunk debug test mochitests-4/5 on 2012/07/02 12:18:21
{
bash -c screenresolution get && screenresolution list && system_profiler SPDisplaysDataType
 in dir /builds/slave/test/~ (timeout 1200 secs)

bash -c screenresolution get && screenresolution list && system_profiler SPDisplaysDataType
 in dir /builds/slave/test/~ (timeout 1200 secs)

======== BuildStep started ========
'bash -c ...'
=== Output ===
bash -c rm -rf Library/Saved\ Application\ State/*.savedState
 in dir /builds/slave/test/~ (timeout 1200 secs)
+
program finished with exit code 0
}

V.Fixed, wrt this very bug.
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
seamonkey2.12 and seamonkey2.11: verified, per bug 728814 comment 2.

***

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Release/1340554052.1340556009.28579.gz&fulltext=1
OS X 10.6 comm-release debug test mochitests-4/5 on 2012/06/24 09:07:32
had not this fix yet.
You need to log in before you can comment on or make changes to this bug.